# IMFCollapsiblePart Struct Reference
[MCFrame]

Inheritance diagram for IMFCollapsiblePart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Initialize (const TMCString &inName, IMFPart *inPart, ECollapseStatus inCollapseStatus)=0
virtual void MCCOMAPI | GetName (TMCString &outName)=0
virtual void MCCOMAPI | SetName (const TMCString &inName, boolean forceRedraw)=0
virtual void MCCOMAPI | SetCanCollapse (boolean canCollapse)=0
virtual boolean MCCOMAPI | GetCanCollapse ()=0
virtual void MCCOMAPI | SetCollapseStatus (ECollapseStatus inCollapseStatus, boolean inRedraw)=0
virtual void MCCOMAPI | ToggleCollapseStatus (boolean inRedraw)=0
virtual ECollapseStatus MCCOMAPI | GetCollapseStatus ()=0
virtual void MCCOMAPI | SetCollapsingPart (IMFPart *inPart)=0
virtual void MCCOMAPI | GetCollapsingPart (IMFPart **outPart)=0
virtual void MCCOMAPI | SetMiniPart (IMFPart *inPart)=0
virtual void MCCOMAPI | GetMiniPart (IMFPart **outPart)=0
virtual void MCCOMAPI | SetCollapsibleStyle (ECollapsibleStyle eStyle)=0
virtual ECollapsibleStyle MCCOMAPI | GetCollapsibleStyle () const =0
virtual TMFFillAttributes &MCCOMAPI | GetHandleFill ()=0
virtual TMFFillAttributes &MCCOMAPI | GetTextFill ()=0
virtual void MCCOMAPI | SetHandleFill (const TMFFillAttributes &inHandleFill)=0
virtual void MCCOMAPI | SetTextFill (const TMFFillAttributes &inTextFill)=0
virtual boolean MCCOMAPI | GetFillHorizontal ()=0
virtual void MCCOMAPI | SetFillHorizontal (boolean inFillHorizontal)=0
virtual int32 MCCOMAPI | GetArrowOffset ()=0
virtual void MCCOMAPI | SetArrowOffset (int32 inOffset)=0
virtual boolean MCCOMAPI | IsSelected ()=0
virtual void MCCOMAPI | SetIsSelected (boolean inIsSelected)=0
virtual void MCCOMAPI | SetToolBarPart (IMFPart *part)=0

## Detailed Description

The interface to access collapsible parts

## Member Function Documentation

virtual int32 MCCOMAPI IMFCollapsiblePart::GetArrowOffset | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFCollapsiblePart::GetCanCollapse | ( |  | ) | `[pure virtual]`

virtual ECollapseStatus MCCOMAPI IMFCollapsiblePart::GetCollapseStatus | ( |  | ) | `[pure virtual]`

virtual ECollapsibleStyle MCCOMAPI IMFCollapsiblePart::GetCollapsibleStyle | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::GetCollapsingPart | ( | IMFPart ** | outPart | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFCollapsiblePart::GetFillHorizontal | ( |  | ) | `[pure virtual]`

virtual TMFFillAttributes& MCCOMAPI IMFCollapsiblePart::GetHandleFill | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::GetMiniPart | ( | IMFPart ** | outPart | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::GetName | ( | TMCString & | outName | ) | `[pure virtual]`

virtual TMFFillAttributes& MCCOMAPI IMFCollapsiblePart::GetTextFill | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::Initialize | ( | const TMCString & | inName,
|  | IMFPart * | inPart,
|  | ECollapseStatus | inCollapseStatus |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IMFCollapsiblePart::IsSelected | ( |  | ) | `[pure virtual]`

Returns true if the collapsible part is selected. Note that a collapsible part can be selected only if it's a TMFSelectableCollapsiblePart or a derived class.

virtual void MCCOMAPI IMFCollapsiblePart::SetArrowOffset | ( | int32 | inOffset | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetCanCollapse | ( | boolean | canCollapse | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetCollapseStatus | ( | ECollapseStatus | inCollapseStatus,
|  | boolean | inRedraw |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetCollapsibleStyle | ( | ECollapsibleStyle | eStyle | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetCollapsingPart | ( | IMFPart * | inPart | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetFillHorizontal | ( | boolean | inFillHorizontal | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetHandleFill | ( | const TMFFillAttributes & | inHandleFill | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetIsSelected | ( | boolean | inIsSelected | ) | `[pure virtual]`

Select or deselect a collapsible part. Note that a collapsible part can be selected only if it's a TMFSelectableCollapsiblePart or a derived class. When a collapsible part is selected or deselected, it's set as First Responder.

Parameters:

  | inIsSelected |

virtual void MCCOMAPI IMFCollapsiblePart::SetMiniPart | ( | IMFPart * | inPart | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetName | ( | const TMCString & | inName,
|  | boolean | forceRedraw |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetTextFill | ( | const TMFFillAttributes & | inTextFill | ) | `[pure virtual]`

virtual void MCCOMAPI IMFCollapsiblePart::SetToolBarPart | ( | IMFPart * | part | ) | `[pure virtual]`

Set the part to diaply in the tool bar.

virtual void MCCOMAPI IMFCollapsiblePart::ToggleCollapseStatus | ( | boolean | inRedraw | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFCollapsiblePart.h